Subject: Re: SIGSTKSZ/MINSIGSTKSZ too small on 64bit

From: Alan Modra <[email-masked]>
Date: Sat, 27 Jul 2013 10:49:01 +0930

On Fri, Jul 26, 2013 at 04:31:34PM -0500, Ryan Arnold wrote:
> Adhemerval and I were just looking at the signal stack frames and I'd
> noticed the increase in size due to the addition of the HTM bits so this is
> great timing.
> 
> I tried a sigstack.h patch that increased the values as you indicated and
> it cleaned up the failing tst-cancel21* testcases on POWER8.  I didn't try
> it on POWER7 yet.

I've tested on power7 using a copy of
sysdeps/unix/sysv/linux/sparc/bits/sigstack.h
as
sysdeps/unix/sysv/linux/powerpc/bits/sigstack.h

-- 
Alan Modra
Australia Development Lab, IBM